## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDocumentPrefixResolver.hpp File Reference

Include dependency graph for XalanDocumentPrefixResolver.hpp:

Go to the source code of this file.

## Classes

- class XalanDocumentPrefixResolver
- class XalanDocumentPrefixResolver::NamespaceNodesTreeWalker
    A utility class to walk the XalanDocument instance and look for attribute nodes that declare namespaces. More...

## Defines

- #define XALANDOCUMENTPREFIXRESOLVER_HEADER_GUARD_1357924680

## Typedefs

- typedef XalanVector< const
  XalanNode * > AttributeVectorTypeDecl

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class XalanAttr

## Define Documentation

#define XALANDOCUMENTPREFIXRESOLVER_HEADER_GUARD_1357924680

## Typedef Documentation

typedef XalanVector<const XalanNode*> AttributeVectorTypeDecl

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class XalanAttr

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.